import {EntityRepository, Repository} from "typeorm";
import {SecurityPageCms} from "./entities/security-page-cms.entity";
import {UpdateSecurityPageCmsDto} from "./dto/update-security-page-cms.dto";

@EntityRepository(SecurityPageCms)
export class SecurityPageCmsRepository extends Repository<SecurityPageCms> {

    async createEntity(dto: UpdateSecurityPageCmsDto): Promise<SecurityPageCms | Error> {
        try {
            const entity = this.create({
                pageTitle: dto.pageTitle,
                pageSubTitle: dto.pageSubTitle,
                description: dto.description
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateSecurityPageCmsDto, id: string): Promise<SecurityPageCms | Error> {
        try {
            await this.update(id, {
                pageTitle: dto.pageTitle,
                pageSubTitle: dto.pageSubTitle,
                description: dto.description
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<SecurityPageCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}