import {Module} from '@nestjs/common';
import {SignupCmsService} from './signup-cms.service';
import {SignupCmsController} from './signup-cms.controller';
import {JwtModule} from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import {UsersRepository} from "src/modules/users/user.repository";
import {TypeOrmModule} from "@nestjs/typeorm";
import {SignupCmsRepository} from "./signup-cms.repository";
import JwtHelper from "src/core/jwt/jwt.helper";
import {DoSpacesService} from "src/modules/SpacesModule/SpacesService/doSpacesService";
import {DoSpacesServicerovider} from "src/modules/SpacesModule/SpacesService";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([SignupCmsRepository])
    ],
    controllers: [SignupCmsController],
    providers: [SignupCmsService, JwtHelper, DoSpacesServicerovider, DoSpacesService]
})
export class SignupCmsModule {
}
