import {EntityRepository, Repository} from "typeorm";
import {SitePageMetaCmsEntity} from "./entities/site-page-meta-cms.entity";
import {UpdateSitePageMetaCmsDto} from "./dto/update-site-page-meta-cms.dto";

@EntityRepository(SitePageMetaCmsEntity)
export class SitePageMetaCmsRepository extends Repository<SitePageMetaCmsEntity> {

    async createEntity(dto: UpdateSitePageMetaCmsDto): Promise<SitePageMetaCmsEntity | Error> {
        try {
            const entity = this.create({
                signupPageMetaKeyword: dto.signupPageMetaKeyword,
                signupPageMetaDescription: dto.signupPageMetaDescription,
                loginPageMetaKeyword: dto.loginPageMetaKeyword,
                loginPageMetaDescription: dto.loginPageMetaDescription,
                homePageMetaKeyword: dto.homePageMetaKeyword,
                homePageMetaDescription: dto.homePageMetaDescription,
                aboutPageMetaKeyword: dto.aboutPageMetaKeyword,
                aboutPageMetaDescription: dto.aboutPageMetaDescription,
                pricingPageMetaKeyword: dto.pricingPageMetaKeyword,
                pricingPageMetaDescription: dto.pricingPageMetaDescription,
                contactPageMetaKeyword: dto.contactPageMetaKeyword,
                contactPageMetaDescription: dto.contactPageMetaDescription,
                careerPageMetaKeyword: dto.careerPageMetaKeyword,
                careerPageMetaDescription: dto.careerPageMetaDescription,
                careerDetailsPageMetaKeyword: dto.careerDetailsPageMetaKeyword,
                careerDetailsPageMetaDescription: dto.careerDetailsPageMetaDescription,
                faqPageMetaKeyword: dto.faqPageMetaKeyword,
                faqPageMetaDescription: dto.faqPageMetaDescription,
                faqDetailsPageMetaKeyword: dto.faqDetailsPageMetaKeyword,
                faqDetailsPageMetaDescription: dto.faqDetailsPageMetaDescription,
                partnerPageMetaKeyword: dto.partnerPageMetaKeyword,
                partnerPageMetaDescription: dto.partnerPageMetaDescription,
                pressKitPageMetaKeyword: dto.pressKitPageMetaKeyword,
                pressKitPageMetaDescription: dto.pressKitPageMetaDescription,
                termsPageMetaKeyword: dto.termsPageMetaKeyword,
                termsPageMetaDescription: dto.termsPageMetaDescription,
                securityPageMetaKeyword: dto.securityPageMetaKeyword,
                securityPageMetaDescription: dto.securityPageMetaDescription,
                privacyPageMetaKeyword: dto.privacyPageMetaKeyword,
                privacyPageMetaDescription: dto.privacyPageMetaDescription,
                schedulePageMetaKeyword: dto.schedulePageMetaKeyword,
                schedulePageMetaDescription: dto.schedulePageMetaDescription,
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateSitePageMetaCmsDto, id: string): Promise<SitePageMetaCmsEntity | Error> {
        try {
            await this.update(id, {
                signupPageMetaKeyword: dto.signupPageMetaKeyword,
                signupPageMetaDescription: dto.signupPageMetaDescription,
                loginPageMetaKeyword: dto.loginPageMetaKeyword,
                loginPageMetaDescription: dto.loginPageMetaDescription,
                homePageMetaKeyword: dto.homePageMetaKeyword,
                homePageMetaDescription: dto.homePageMetaDescription,
                aboutPageMetaKeyword: dto.aboutPageMetaKeyword,
                aboutPageMetaDescription: dto.aboutPageMetaDescription,
                pricingPageMetaKeyword: dto.pricingPageMetaKeyword,
                pricingPageMetaDescription: dto.pricingPageMetaDescription,
                contactPageMetaKeyword: dto.contactPageMetaKeyword,
                contactPageMetaDescription: dto.contactPageMetaDescription,
                careerPageMetaKeyword: dto.careerPageMetaKeyword,
                careerPageMetaDescription: dto.careerPageMetaDescription,
                careerDetailsPageMetaKeyword: dto.careerDetailsPageMetaKeyword,
                careerDetailsPageMetaDescription: dto.careerDetailsPageMetaDescription,
                faqPageMetaKeyword: dto.faqPageMetaKeyword,
                faqPageMetaDescription: dto.faqPageMetaDescription,
                faqDetailsPageMetaKeyword: dto.faqDetailsPageMetaKeyword,
                faqDetailsPageMetaDescription: dto.faqDetailsPageMetaDescription,
                partnerPageMetaKeyword: dto.partnerPageMetaKeyword,
                partnerPageMetaDescription: dto.partnerPageMetaDescription,
                pressKitPageMetaKeyword: dto.pressKitPageMetaKeyword,
                pressKitPageMetaDescription: dto.pressKitPageMetaDescription,
                termsPageMetaKeyword: dto.termsPageMetaKeyword,
                termsPageMetaDescription: dto.termsPageMetaDescription,
                securityPageMetaKeyword: dto.securityPageMetaKeyword,
                securityPageMetaDescription: dto.securityPageMetaDescription,
                privacyPageMetaKeyword: dto.privacyPageMetaKeyword,
                privacyPageMetaDescription: dto.privacyPageMetaDescription,
                schedulePageMetaKeyword: dto.schedulePageMetaKeyword,
                schedulePageMetaDescription: dto.schedulePageMetaDescription,
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<SitePageMetaCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}