import {Module} from '@nestjs/common';
import {JwtModule} from '@nestjs/jwt';
import {TypeOrmModule} from '@nestjs/typeorm';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import {FileUploadsService} from 'src/modules/file-uploads/file-uploads.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import {ApplicationsIntegrationController} from './applications-integration.controller';
import {ApplicationsIntegrationRepository} from './applications-integration.repository';
import {ApplicationsIntegrationService} from './applications-integration.service';
import {DoSpacesServicerovider} from 'src/modules/SpacesModule/SpacesService';
import {DoSpacesService} from 'src/modules/SpacesModule/SpacesService/doSpacesService';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ApplicationsIntegrationRepository])
    ],
    controllers: [ApplicationsIntegrationController],
    providers: [ApplicationsIntegrationService, JwtHelper, FileUploadsService, DoSpacesServicerovider, DoSpacesService]
})
export class ApplicationsIntegrationModule {
}
