import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {CareerModelRepository} from './career-model.repository';
import {CareerModelController} from './career-model.controller';
import {CareerModelService} from './career-model.service';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([CareerModelRepository])
    ],
    controllers: [CareerModelController],
    providers: [CareerModelService, JwtHelper]
})
export class CareerModelModule {
}
