import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {CustomerReviewsRepository} from './customer-reviews.repository';
import {CustomerReviewsController} from './customer-reviews.controller';
import {CustomerReviewsService} from './customer-reviews.service';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';
import {DoSpacesService} from "../../SpacesModule/SpacesService/doSpacesService";
import {DoSpacesServicerovider} from "../../SpacesModule/SpacesService";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([CustomerReviewsRepository])
    ],
    controllers: [CustomerReviewsController],
    providers: [CustomerReviewsService, JwtHelper, DoSpacesServicerovider, DoSpacesService
    ]
})
export class CustomerReviewsModule {
}
