import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {OrganizationSizeRepository} from './organization-size.repository';
import {OrganizationSizeController} from './organization-size.controller';
import {OrganizationSizeService} from './organization-size.service';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([OrganizationSizeRepository])
    ],
    controllers: [OrganizationSizeController],
    providers: [OrganizationSizeService, JwtHelper]
})
export class OrganizationSizeModule {
}
