import {Module} from '@nestjs/common';
import {JwtModule} from '@nestjs/jwt';
import {TypeOrmModule} from '@nestjs/typeorm';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import {FileUploadsService} from 'src/modules/file-uploads/file-uploads.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import {PremiumPartnersContentController} from './premium-partners-content.controller';
import {PremiumPartnersContentRepository} from './premium-partners-content.repository';
import {PremiumPartnersContentService} from './premium-partners-content.service';
import {DoSpacesServicerovider} from 'src/modules/SpacesModule/SpacesService';
import {DoSpacesService} from 'src/modules/SpacesModule/SpacesService/doSpacesService';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([PremiumPartnersContentRepository])
    ],
    controllers: [PremiumPartnersContentController],
    providers: [PremiumPartnersContentService, JwtHelper, FileUploadsService, DoSpacesServicerovider, DoSpacesService]
})
export class PremiumPartnersContentModule {
}
