import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {ScheduleModelRepository} from './schedule-model.repository';
import {ScheduleModelController} from './schedule-model.controller';
import {ScheduleModelService} from './schedule-model.service';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ScheduleModelRepository])
    ],
    controllers: [ScheduleModelController],
    providers: [ScheduleModelService, JwtHelper]
})
export class ScheduleModelModule {
}
