import {IsDateString, IsNumber, IsOptional, IsString, Max, Min} from "class-validator";

export class PaginationDto {
    @IsOptional()
    @IsString()
    searchName: string;

    @IsOptional()
    @IsNumber()
    @Min(1)
    @Max(100)
    limit: number;

    @IsOptional()
    @IsNumber()
    @Min(1)
    page: number;
}
