import {Module} from '@nestjs/common';
import {JwtModule} from '@nestjs/jwt';
import {TypeOrmModule} from '@nestjs/typeorm';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { TransactionRepository } from '../transaction/transaction.repository';
import { UsersRepository } from '../users/user.repository';
import { LogsRepository } from '../transaction-logs/logs.repository';
import TransactionPaymentHistoryController from './transaction-payment-history.controller';
import { TransactionPaymentHistoryService } from './transaction-payment-history.service';
import { TransactionPaymentHistoryRepository } from './transaction-payment-history.repository';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([TransactionRepository, UsersRepository, LogsRepository, TransactionPaymentHistoryRepository]),
    ],
    controllers: [TransactionPaymentHistoryController],
    providers: [TransactionPaymentHistoryService, JwtHelper]
})
export class TransactionTimelineDetailsModule {
}
